Package com.ocient.jdbc.proto

# Class ClientWireProtocol.CacheEntry.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CacheEntry.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.CacheEntry.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.CacheEntryOrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.CacheEntry

    public static final class ClientWireProtocol.CacheEntry.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CacheEntry.Builder>
    implements ClientWireProtocol.CacheEntryOrBuilder

Protobuf type `xg.cmdcomp.CacheEntry`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ClientWireProtocol.CacheEntry.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.CacheEntry` | `build()` |
`ClientWireProtocol.CacheEntry` | `buildPartial()` |
`ClientWireProtocol.CacheEntry.Builder` | `clear()` |
`ClientWireProtocol.CacheEntry.Builder` | `clearAction()` | `.xg.cmdcomp.CacheEntry.Action action = 4;`
`ClientWireProtocol.CacheEntry.Builder` | `clearCmdTime()` | `uint64 cmd_time = 1;`
`ClientWireProtocol.CacheEntry.Builder` | `clearDatabaseUuid()` | `string database_uuid = 5;`
`ClientWireProtocol.CacheEntry.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`ClientWireProtocol.CacheEntry.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`ClientWireProtocol.CacheEntry.Builder` | `clearQueryHash()` | `uint64 query_hash = 3;`
`ClientWireProtocol.CacheEntry.Builder` | `clearQueryUuid()` | `string query_uuid = 2;`
`ClientWireProtocol.CacheEntry.Builder` | `clone()` |
`ClientWireProtocol.CacheEntry.Action` | `getAction()` | `.xg.cmdcomp.CacheEntry.Action action = 4;`
`int` | `getActionValue()` | `.xg.cmdcomp.CacheEntry.Action action = 4;`
`long` | `getCmdTime()` | `uint64 cmd_time = 1;`
`String` | `getDatabaseUuid()` | `string database_uuid = 5;`
`com.google.protobuf.ByteString` | `getDatabaseUuidBytes()` | `string database_uuid = 5;`
`ClientWireProtocol.CacheEntry` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`long` | `getQueryHash()` | `uint64 query_hash = 3;`
`String` | `getQueryUuid()` | `string query_uuid = 2;`
`com.google.protobuf.ByteString` | `getQueryUuidBytes()` | `string query_uuid = 2;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`ClientWireProtocol.CacheEntry.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`ClientWireProtocol.CacheEntry.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`ClientWireProtocol.CacheEntry.Builder` | `mergeFrom​(ClientWireProtocol.CacheEntry other)` |
`ClientWireProtocol.CacheEntry.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`ClientWireProtocol.CacheEntry.Builder` | `setAction​(ClientWireProtocol.CacheEntry.Action value)` | `.xg.cmdcomp.CacheEntry.Action action = 4;`
`ClientWireProtocol.CacheEntry.Builder` | `setActionValue​(int value)` | `.xg.cmdcomp.CacheEntry.Action action = 4;`
`ClientWireProtocol.CacheEntry.Builder` | `setCmdTime​(long value)` | `uint64 cmd_time = 1;`
`ClientWireProtocol.CacheEntry.Builder` | `setDatabaseUuid​(String value)` | `string database_uuid = 5;`
`ClientWireProtocol.CacheEntry.Builder` | `setDatabaseUuidBytes​(com.google.protobuf.ByteString value)` | `string database_uuid = 5;`
`ClientWireProtocol.CacheEntry.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.CacheEntry.Builder` | `setQueryHash​(long value)` | `uint64 query_hash = 3;`
`ClientWireProtocol.CacheEntry.Builder` | `setQueryUuid​(String value)` | `string query_uuid = 2;`
`ClientWireProtocol.CacheEntry.Builder` | `setQueryUuidBytes​(com.google.protobuf.ByteString value)` | `string query_uuid = 2;`
`ClientWireProtocol.CacheEntry.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`ClientWireProtocol.CacheEntry.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CacheEntry.Builder>`

### clear

public ClientWireProtocol.CacheEntry.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CacheEntry.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CacheEntry.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.CacheEntry getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public ClientWireProtocol.CacheEntry build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public ClientWireProtocol.CacheEntry buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public ClientWireProtocol.CacheEntry.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CacheEntry.Builder>`

### setField

public ClientWireProtocol.CacheEntry.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CacheEntry.Builder>`

### clearField

public ClientWireProtocol.CacheEntry.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CacheEntry.Builder>`

### clearOneof

public ClientWireProtocol.CacheEntry.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CacheEntry.Builder>`

### setRepeatedField

public ClientWireProtocol.CacheEntry.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CacheEntry.Builder>`

### addRepeatedField

public ClientWireProtocol.CacheEntry.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CacheEntry.Builder>`

### mergeFrom

public ClientWireProtocol.CacheEntry.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.CacheEntry.Builder>`

### mergeFrom

public ClientWireProtocol.CacheEntry.Builder mergeFrom​(ClientWireProtocol.CacheEntry other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CacheEntry.Builder>`

### mergeFrom

public ClientWireProtocol.CacheEntry.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.CacheEntry.Builder>`
Throws:
  `IOException`

### getCmdTime

public long getCmdTime()
`uint64 cmd_time = 1;`

Specified by:
  `getCmdTime` in interface `ClientWireProtocol.CacheEntryOrBuilder`
Returns:
  The cmdTime.

### setCmdTime

public ClientWireProtocol.CacheEntry.Builder setCmdTime​(long value)
`uint64 cmd_time = 1;`

Parameters:
  `value` - The cmdTime to set.
Returns:
  This builder for chaining.

### clearCmdTime

public ClientWireProtocol.CacheEntry.Builder clearCmdTime()
`uint64 cmd_time = 1;`

Returns:
  This builder for chaining.

### getQueryUuid

public String getQueryUuid()
`string query_uuid = 2;`

Specified by:
  `getQueryUuid` in interface `ClientWireProtocol.CacheEntryOrBuilder`
Returns:
  The queryUuid.

### getQueryUuidBytes

public com.google.protobuf.ByteString getQueryUuidBytes()
`string query_uuid = 2;`

Specified by:
  `getQueryUuidBytes` in interface `ClientWireProtocol.CacheEntryOrBuilder`
Returns:
  The bytes for queryUuid.

### setQueryUuid

public ClientWireProtocol.CacheEntry.Builder setQueryUuid​(String value)
`string query_uuid = 2;`

Parameters:
  `value` - The queryUuid to set.
Returns:
  This builder for chaining.

### clearQueryUuid

public ClientWireProtocol.CacheEntry.Builder clearQueryUuid()
`string query_uuid = 2;`

Returns:
  This builder for chaining.

### setQueryUuidBytes

public ClientWireProtocol.CacheEntry.Builder setQueryUuidBytes​(com.google.protobuf.ByteString value)
`string query_uuid = 2;`

Parameters:
  `value` - The bytes for queryUuid to set.
Returns:
  This builder for chaining.

### getQueryHash

public long getQueryHash()
`uint64 query_hash = 3;`

Specified by:
  `getQueryHash` in interface `ClientWireProtocol.CacheEntryOrBuilder`
Returns:
  The queryHash.

### setQueryHash

public ClientWireProtocol.CacheEntry.Builder setQueryHash​(long value)
`uint64 query_hash = 3;`

Parameters:
  `value` - The queryHash to set.
Returns:
  This builder for chaining.

### clearQueryHash

public ClientWireProtocol.CacheEntry.Builder clearQueryHash()
`uint64 query_hash = 3;`

Returns:
  This builder for chaining.

### getActionValue

public int getActionValue()
`.xg.cmdcomp.CacheEntry.Action action = 4;`

Specified by:
  `getActionValue` in interface `ClientWireProtocol.CacheEntryOrBuilder`
Returns:
  The enum numeric value on the wire for action.

### setActionValue

public ClientWireProtocol.CacheEntry.Builder setActionValue​(int value)
`.xg.cmdcomp.CacheEntry.Action action = 4;`

Parameters:
  `value` - The enum numeric value on the wire for action to set.
Returns:
  This builder for chaining.

### getAction

public ClientWireProtocol.CacheEntry.Action getAction()
`.xg.cmdcomp.CacheEntry.Action action = 4;`

Specified by:
  `getAction` in interface `ClientWireProtocol.CacheEntryOrBuilder`
Returns:
  The action.

### setAction

public ClientWireProtocol.CacheEntry.Builder setAction​(ClientWireProtocol.CacheEntry.Action value)
`.xg.cmdcomp.CacheEntry.Action action = 4;`

Parameters:
  `value` - The action to set.
Returns:
  This builder for chaining.

### clearAction

public ClientWireProtocol.CacheEntry.Builder clearAction()
`.xg.cmdcomp.CacheEntry.Action action = 4;`

Returns:
  This builder for chaining.

### getDatabaseUuid

public String getDatabaseUuid()
`string database_uuid = 5;`

Specified by:
  `getDatabaseUuid` in interface `ClientWireProtocol.CacheEntryOrBuilder`
Returns:
  The databaseUuid.

### getDatabaseUuidBytes

public com.google.protobuf.ByteString getDatabaseUuidBytes()
`string database_uuid = 5;`

Specified by:
  `getDatabaseUuidBytes` in interface `ClientWireProtocol.CacheEntryOrBuilder`
Returns:
  The bytes for databaseUuid.

### setDatabaseUuid

public ClientWireProtocol.CacheEntry.Builder setDatabaseUuid​(String value)
`string database_uuid = 5;`

Parameters:
  `value` - The databaseUuid to set.
Returns:
  This builder for chaining.

### clearDatabaseUuid

public ClientWireProtocol.CacheEntry.Builder clearDatabaseUuid()
`string database_uuid = 5;`

Returns:
  This builder for chaining.

### setDatabaseUuidBytes

public ClientWireProtocol.CacheEntry.Builder setDatabaseUuidBytes​(com.google.protobuf.ByteString value)
`string database_uuid = 5;`

Parameters:
  `value` - The bytes for databaseUuid to set.
Returns:
  This builder for chaining.

### setUnknownFields

public final ClientWireProtocol.CacheEntry.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CacheEntry.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.CacheEntry.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CacheEntry.Builder>`